<!DOCTYPE html>
<html>
	<head>
	    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	    <title>AngularJS SetFocus</title>
	
	    <!-- AngularJs File -->
	    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.2/angular.min.js"></script>
	
	    <!-- Bootstrap Css -->
	    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.2/css/bootstrap.min.css">
	
	    <script type="text/javascript">
	        var myApp = angular.module('app', []);
	        myApp.controller('ctrl', ['$scope', '$window', function($scope, $window) {
	            $scope.setFocus = function() {
	                var name = $window.document.getElementById('name');
	                var age = $window.document.getElementById('email');
	                if (name.value != '') {
	                    email.focus();
	                } else {
	                    name.focus();
	                }
	            };
	        }]);
	    </script>
	</head>
	<body>
	    <div id="angularSetFocus" class="container">
	        <h1 align="center" class="text-primary">AngularJS - SetFocus Example</h1>
	        <hr />
	
	        <div ng-app="app" ng-controller="ctrl">
	            <div class="form-group">
	                <label class="control-label col-sm-2" for="name">Name:</label>
	                <input type="text" class="form-control" id="name" placeholder="Enter name" name="name">
	            </div>
	            <div class="form-group">
	                <label class="control-label col-sm-2" for="email">Email:</label>
	                <input type="email" class="form-control" id="email" placeholder="Enter email" name="email">
	            </div>
	            <div class="form-group">
	                <div class="col-sm-offset-2 col-sm-10">
	                    <button type="submit" class="btn btn-default" ng-click="setFocus()">Click to Set Focus</button>
	                </div>
	            </div>
	        </div>
	    </div>
	</body>
</html>